Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle
Class Gradle

    java.lang.Object
      org.gradle.Gradle

    public class Gradle

extends java.lang.Object

`Gradle` is the main entry point for embedding Gradle. You use this class to manage a Gradle build, as follows:

1. Create a `StartParameter` instance and configure it with the desired properties. The properties of `StartParameter` generally correspond to the command-line options of Gradle.

2. Obtain a `Gradle` instance by calling `newInstance(org.gradle.StartParameter)`, passing in the `StartParameter`.

3. Optionally, add one or more `BuildListener`s to receive events as the build executes by calling `addBuildListener(org.gradle.BuildListener)`.

4. Call `run()` to execute the build. This will return a `BuildResult`. Note that if the build fails, the resulting exception will be contained in the `BuildResult`.

5. Query the build result. You might want to call `BuildResult.rethrowFailure()` to rethrow any build failure.

Constructor Summary
`Gradle(StartParameter startParameter, ISettingsFinder settingsFinder, IGradlePropertiesLoader gradlePropertiesLoader, SettingsProcessor settingsProcessor, BuildLoader buildLoader, org.gradle.configuration.BuildConfigurer buildConfigurer)`

Method Summary
`void` | `addBuildListener(BuildListener buildListener)` Adds a `BuildListener` to this Gradle instance.
`static StartParameter` | `createStartParameter(java.lang.String[] commandLineArgs)` Returns a StartParameter object out of command line syntax arguments.
`BuildResult` | `getBuildAnalysis()` Evaluates the settings and all the projects.
`BuildResult` | `getBuildAndRunAnalysis()` Evaluates the settings and all the projects.
`StartParameter` | `getStartParameter()`
`static void` | `injectCustomFactory(GradleFactory gradleFactory)`
`static Gradle` | `newInstance(StartParameter startParameter)` Returns a Gradle instance based on the passed start parameter.
`static Gradle` | `newInstance(java.lang.String[] commandLineArgs)` Returns a Gradle instance based on the passed command line syntax arguments.
`BuildResult` | `run()` Executes the build for this Gradle instance and returns the result.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Gradle

    public Gradle(StartParameter startParameter,
                  ISettingsFinder settingsFinder,
                  IGradlePropertiesLoader gradlePropertiesLoader,
                  SettingsProcessor settingsProcessor,
                  BuildLoader buildLoader,
                  org.gradle.configuration.BuildConfigurer buildConfigurer)

Method Detail

### run

    public BuildResult run()

  Executes the build for this Gradle instance and returns the result. Note that when the build fails, the exception is available using `BuildResult.getFailure()`.

  Returns:
    The result. Never returns null.

### getBuildAnalysis

    public BuildResult getBuildAnalysis()

  Evaluates the settings and all the projects. The information about available tasks and projects is accessible via the `Build.getRootProject()` object.

  Returns:
    A BuildResult object

### getBuildAndRunAnalysis

    public BuildResult getBuildAndRunAnalysis()

  Evaluates the settings and all the projects. Evaluates the settings and all the projects. The information about available tasks and projects is accessible via the `Build.getRootProject()` object. Fills the execution plan without running the build. The tasks to be executed tasks are available via `Build.getTaskGraph()`.

  Returns:
    A BuildResult object

### newInstance

    public static Gradle newInstance(StartParameter startParameter)

  Returns a Gradle instance based on the passed start parameter.

  Parameters:
    `startParameter` - The start parameter object the Gradle instance is initialized with

### newInstance

    public static Gradle newInstance(java.lang.String[] commandLineArgs)

  Returns a Gradle instance based on the passed command line syntax arguments. Certain command line arguments won't have any effect if you choose this method (e.g. -v, -h). If you want to act upon, you better use `createStartParameter(String[])` in conjunction with `newInstance(String[])`.

  Parameters:
    `commandLineArgs` - A String array where each element denotes an entry of the Gradle command line syntax

### createStartParameter

    public static StartParameter createStartParameter(java.lang.String[] commandLineArgs)

  Returns a StartParameter object out of command line syntax arguments. Every possible command line option has it associated field in the StartParameter object.

  Parameters:
    `commandLineArgs` - A String array where each element denotes an entry of the Gradle command line syntax

### injectCustomFactory

    public static void injectCustomFactory(GradleFactory gradleFactory)

### getStartParameter

    public StartParameter getStartParameter()

### addBuildListener

    public void addBuildListener(BuildListener buildListener)

  Adds a `BuildListener` to this Gradle instance. The listener is notified of events which occur during a build.

  Parameters:
    `buildListener` - The listener to add.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD